
// mycalc.h
////////////

// diesen Header nur einmal einbinden
#ifndef _MYCALC_H_
#define _MYCALC_H_

// weitere benoetigte Header einbinden
#include "qincludes.h"
#include "mystack.h"


class MyCalc : public QObject
{
	/**
	 * Verkoerperung des Rechenwerkes
	 */
	Q_OBJECT
private:
	// Zeiger auf den Stapel mit dessen Werte gerechnet wird
	MyStack *stack;
	// Zeiger auf Statuszeile fuer Fehlermeldungen
	QLabel *message;
	// Wurde eine Fehlermeldung ausgegeben?
	bool errormsg;
public:
	// Konstante fuer PI
	static const double pi;
	// Konstruktor
	MyCalc(MyStack *stack_,QLabel *message_);
	// leerer Destruktor
	~MyCalc() { /* destructor empty */ };
	// Statuszeile setzen
	void setStatus(QString text);
public slots:
	// Befehl anwenden
	void apply(QString text);
};

#endif
