
// myhelp.cpp
//////////////

#include "myhelp.h"


// Hilfe-Text einbinden.
const char *MyHelp::helpText = 
#include "hilfe.html"
;
// nicht wirklich schoen, aber die eleganteste Art, den Hilfetext einzubinden


MyHelp::MyHelp( QWidget *parent, const char *name ) 
	: QDialog( parent, name, FALSE, 
			   WStyle_Customize | WStyle_NormalBorder | 
			   WStyle_Maximize | WStyle_Title | WStyle_SysMenu )
{
	/**
	 * Konstuktor
	 */

	// neues Layout erzeugen
	layout = new QHBoxLayout( this );

	// neuen Textbrowser fuer Hilfefenster anlegen
	helpBrowser = new QTextBrowser( this );

	// den Browser ins Layout einfuegen
	layout->addWidget( helpBrowser );

	// den Hilfe-Text in den Browser setzen
	helpBrowser->setText( MyHelp::helpText );

	// die Fenstergroesse bestimmen
	this->resize( HELP_WINDOW_X_SIZE, HELP_WINDOW_Y_SIZE );
};


void MyHelp::toggle()
{
	/**
	 * Hilfefenster ein- und ausblenden
	 */

	// wird das Hilfe-Fenster angezeigt?
	if(this->isHidden())
	{
		// nein, dann anzeigen
		this->show();
	}
	else
	{
		// ja, dann verstecken
		this->hide();
	}
};
